# SBHPF-Standard

This repository holds the standard publications for the SBHPF binary format.

As of right now, the latest version of SBHPF is **Version 1**.

## What is SBHPF?

**SBHPF** is an abbreviation of **Simple Binary Hierarchical Property Format**.

It is essentially just a standard definition of a binary format that stores nodes in a tree-like format.

A node can optionally contain properties or child nodes.

The specific implementation of this depends on the version of the format. Please read the document for more information.

Each standard definition outlines the format in detail, and also has some recommendations for implementing parsers.

## Standards

**SBHPF version 1:** First version of the format. Quite simple but at the same time pretty solid. See the [v1 standard](/SBHPF-v1.md).

## Implementations

I will try to create quality implementations of SBHPF in various languages when I have time.

For now, there is only a basic Go implementation.

- **GoSBHPF:** Simple go library implementing SBHPF. ([source](https://git.zervo.org/FLUX/GoSBHPF))